<?php

namespace App\Http\Controllers\Api;

use App\Service\PaymentReceiptService;
use Illuminate\Http\Request;

class PaymentReceiptController extends BaseController
{
    public function paymentReceiptGet(Request $request){
        $service = new PaymentReceiptService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->paymentReceiptGet($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function paymentReceiptAdd(Request $request)
    {
        $service = new PaymentReceiptService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerAdd($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function paymentReceiptEdit(Request $request)
    {
        $service = new PaymentReceiptService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerEdit($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function paymentReceiptDel(Request $request)
    {
        $service = new PaymentReceiptService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function paymentReceiptList(Request $request)
    {
        $service = new PaymentReceiptService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->customerList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function customerDetail(Request $request)
    {
        $service = new PaymentReceiptService();
        list($status,$data) = $service->customerDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
